package com.biganto.visual.roompark.domain.contract

import com.biganto.visual.roompark.domain.model.ArticlesPreviewModel
import com.biganto.visual.roompark.domain.model.FeedsHeaderModel
import io.reactivex.rxjava3.core.Observable
import io.reactivex.rxjava3.core.Single

/**
 * Created by Vladislav Bogdashkin on 24.09.2019.
 */

interface FeedsContract{

    fun fetchFeeds(): Single<FeedsHeaderModel>
    fun fetchFeedObservable(id:Int): Observable<ArticlesPreviewModel>
    fun getArticle(id:Int): Single<ArticlesPreviewModel>
}