package com.biganto.visual.roompark.domain.model

import java.util.*

/**
 * Created by Vladislav Bogdashkin on 23.09.2019.
 */


data class AlbumPreviewModel(
    val albumId:Int,
    val parentId:Int,
    val published: Date,
    val title:String,
    val previewUrl:String,
    val isRead:Boolean
)

data class PhotoListModel(val items:List<PhotoModel>)

data class PhotoModel(
    val photoId:Int,
    val albumId:Int,
    val description:String,
    val sort:Int,
    val resolutionList:List<PhotoResolutionModel>

)

data class PhotoResolutionModel(
    val resName:String,
    val url:String,
    val resWidth:Int,
    val resHeight:Int
)